<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.energy.mapper.EleBindMapper">


    <select id="getArrByLineId" resultType="DataArray">
        select e.* from ele_line a
        inner join ele_logic_dev b on a.pid = b.id
        inner join ele_data_mould c on b.idx = c.id
        inner join ele_data_set d on d.pid = c.id
        inner join ele_data_array e on d.id = e.pid
        where a.line_id= #{lineId}
        <if test="phase!=null and phase!=''">
            and e.phase = #{phase}
        </if>
    </select>


</mapper>
